# Commerce - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` ## Operations ### POST commerce.account\_status\_changed - **Method:** `POST` - **Path:** `commerce.account_status_changed` - **Tags:** commerce #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload`** `object` - **`account`** `object` — The account details. - **`create_reference_id`** `string` — The unique reference ID for this account if created through the Zoom Commerce API. - **`crm_account_number`** `string` — The unique ID for the account in the Zoom CRM system. - **`status`** `string`, possible values: `"success", "partial success", "failure", "submitted", "in review"` — The account's latest status: success, partial success, submitted, in review, or failure. - **`account_id`** `string` — The ID of the account that triggered the webhook. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "account": { "crm_account_number": "", "create_reference_id": "", "status": "success" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload`** `object` - **`account`** `object` — The account details. - **`create_reference_id`** `string` — The unique reference ID for this account if created through the Zoom Commerce API. - **`crm_account_number`** `string` — The unique ID for the account in the Zoom CRM system. - **`status`** `string`, possible values: `"success", "partial success", "failure", "submitted", "in review"` — The account's latest status: success, partial success, submitted, in review, or failure. - **`account_id`** `string` — The ID of the account that triggered the webhook. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "account": { "crm_account_number": "", "create_reference_id": "", "status": "success" } } } ``` ### POST commerce.quote\_status\_changed - **Method:** `POST` - **Path:** `commerce.quote_status_changed` - **Tags:** commerce #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload`** `object` - **`account_id`** `string` — The ID of the account that triggered the webhook. - **`quote`** `object` — The quote details. - **`quote_reference_id`** `string` — The reference ID for a quote. - **`status`** `string`, possible values: `"failedToSubmit", "completed", "canceled", "submitted", "failed", "approved", "rejected", "returned", "provisioning", "draft", "recalled"` — The status of the quote. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "quote": { "quote_reference_id": "Q-3248714941", "status": "approved" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload`** `object` - **`account_id`** `string` — The ID of the account that triggered the webhook. - **`quote`** `object` — The quote details. - **`quote_reference_id`** `string` — The reference ID for a quote. - **`status`** `string`, possible values: `"failedToSubmit", "completed", "canceled", "submitted", "failed", "approved", "rejected", "returned", "provisioning", "draft", "recalled"` — The status of the quote. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "quote": { "quote_reference_id": "Q-3248714941", "status": "approved" } } } ``` ### POST commerce.deal\_registration\_status\_changed - **Method:** `POST` - **Path:** `commerce.deal_registration_status_changed` - **Tags:** commerce #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The ID of the account that triggered the webhook. - **`deal_registration`** `object` — The deal registration details. - **`create_reference_id`** `string` — The unique reference ID for this deal registration if created using the Deal Registration API. - **`deal_reg_number`** `string` — The deal registration number. - **`status`** `string`, possible values: `"pending review", "denied", "returned", "approved", "expired", "revoked", "closed-lost", "closed-won", "failure", "pending sales review", "draft", "submitted", "submit failed"` — The deal registration's status. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "deal_registration": { "deal_reg_number": "DR-135621", "create_reference_id": "DRR-4834729", "status": "approved" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The ID of the account that triggered the webhook. - **`deal_registration`** `object` — The deal registration details. - **`create_reference_id`** `string` — The unique reference ID for this deal registration if created using the Deal Registration API. - **`deal_reg_number`** `string` — The deal registration number. - **`status`** `string`, possible values: `"pending review", "denied", "returned", "approved", "expired", "revoked", "closed-lost", "closed-won", "failure", "pending sales review", "draft", "submitted", "submit failed"` — The deal registration's status. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "deal_registration": { "deal_reg_number": "DR-135621", "create_reference_id": "DRR-4834729", "status": "approved" } } } ``` ### POST commerce.order\_status\_changed - **Method:** `POST` - **Path:** `commerce.order_status_changed` - **Tags:** commerce #### Request Body ##### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The ID of the account that triggered the webhook. - **`order`** `object` — The order details. - **`order_reference_id`** `string` — The reference ID for the order. - **`status`** `string`, possible values: `"draft", "failedToSubmit", "completed", "canceled", "failed", "submitted"` — The order's status. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "order": { "order_reference_id": "O-3248714941", "status": "completed" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event`** `string` — The name of the event. - **`event_id`** `string`, format: `UUID` — A unique identifier for the event. - **`event_ts`** `integer`, format: `int64` — The timestamp at which the event occurred. - **`payload`** `object` - **`account_id`** `string` — The ID of the account that triggered the webhook. - **`order`** `object` — The order details. - **`order_reference_id`** `string` — The reference ID for the order. - **`status`** `string`, possible values: `"draft", "failedToSubmit", "completed", "canceled", "failed", "submitted"` — The order's status. **Example:** ```json { "event": "", "event_ts": 1, "event_id": "", "payload": { "account_id": "", "order": { "order_reference_id": "O-3248714941", "status": "completed" } } } ```